> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Install workflows

> Installs workflows for a specified user.



## OpenAPI

````yaml post /workflows/install
openapi: 3.0.1
info:
  title: Embedded 2025-09
  version: '5.0'
servers:
  - url: https://production.runalloy.com
security: []
paths:
  /workflows/install:
    post:
      summary: Install workflows
      description: Installs workflows for a specified user.
      operationId: install-workflows
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
        - $ref: '#/components/parameters/xApiVersion'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - workflowIds
                - credentialIds
                - userId
              properties:
                workflowIds:
                  type: array
                  items:
                    type: string
                credentialIds:
                  type: array
                  items:
                    type: string
                userId:
                  type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    installed: true
              schema:
                type: object
                properties:
                  installed:
                    type: boolean
                    example: true
                    default: true
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    message: Could not install workflow(s)
      deprecated: false
      security: []
components:
  parameters:
    xApiVersion:
      name: x-api-version
      in: header
      required: true
      description: The version of the API to use. The current API version is **2025-09**.
      schema:
        type: string
        default: 2025-09

````